Bug 2035133 - SELinux is preventing haproxy from 'getattr' accesses on the filesystem /sys/fs/cgroup.
Summary: SELinux is preventing haproxy from 'getattr' accesses on the filesystem /sys/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 35
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c423b9806af35fe49e5bc99b658...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-23 02:10 UTC by Brian J. Murrell
Modified: 2022-01-09 01:10 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-35.8-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-09 01:10:23 UTC
Type: ---


Attachments (Terms of Use)

Description Brian J. Murrell 2021-12-23 02:10:06 UTC
Description of problem:
Not sure why this happened.
SELinux is preventing haproxy from 'getattr' accesses on the filesystem /sys/fs/cgroup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that haproxy should be allowed getattr access on the cgroup filesystem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'haproxy' --raw | audit2allow -M my-haproxy
# semodule -X 300 -i my-haproxy.pp

Additional Information:
Source Context                system_u:system_r:haproxy_t:s0
Target Context                system_u:object_r:cgroup_t:s0
Target Objects                /sys/fs/cgroup [ filesystem ]
Source                        haproxy
Source Path                   haproxy
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-35.6-1.fc35.noarch
Local Policy RPM              selinux-policy-targeted-35.6-1.fc35.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.15.6-200.fc35.x86_64 #1 SMP Wed
                              Dec 1 13:41:10 UTC 2021 x86_64 x86_64
Alert Count                   5
First Seen                    2021-12-13 09:26:14 EST
Last Seen                     2021-12-13 14:53:24 EST
Local ID                      014ce9dc-f578-48c4-a738-e28f1bb933cf

Raw Audit Messages
type=AVC msg=audit(1639425204.658:1953): avc:  denied  { getattr } for  pid=76829 comm="haproxy" name="/" dev="cgroup2" ino=1 scontext=system_u:system_r:haproxy_t:s0 tcontext=system_u:object_r:cgroup_t:s0 tclass=filesystem permissive=0


Hash: haproxy,haproxy_t,cgroup_t,filesystem,getattr

Version-Release number of selected component:
selinux-policy-targeted-35.6-1.fc35.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.15.2
hashmarkername: setroubleshoot
kernel:         5.15.6-200.fc35.x86_64
type:           libreport

Comment 1 Fedora Update System 2022-01-05 10:48:57 UTC
FEDORA-2022-decd9c4cae has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-decd9c4cae

Comment 2 Fedora Update System 2022-01-06 01:53:21 UTC
FEDORA-2022-decd9c4cae has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-decd9c4cae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-decd9c4cae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-01-09 01:10:23 UTC
FEDORA-2022-decd9c4cae has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.